﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_position_form_popup
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Position a new instance of this form
        // just to the right and below the button.
        private void btnShowForm_Click(object sender, EventArgs e)
        {
            // Get the location in this form's coordinate system.
            Point form_pt = new Point(
                btnShowForm.Left + btnShowForm.Width / 2,
                btnShowForm.Top + btnShowForm.Height / 2);

            // Translate into the screen coordinate system.
            Point screen_pt = this.PointToScreen(form_pt);

            // Create the new form.
            Form1 frm = new Form1();

            // Make sure the form will be completely on the screen.
            Screen screen = Screen.FromControl(this);
            if (screen_pt.X < 0) screen_pt.X = 0;
            if (screen_pt.Y < 0) screen_pt.Y = 0;
            if (screen_pt.X > screen.WorkingArea.Right - frm.Width)
                screen_pt.X = screen.WorkingArea.Right - frm.Width;
            if (screen_pt.Y > screen.WorkingArea.Bottom - frm.Height)
                screen_pt.Y = screen.WorkingArea.Bottom - frm.Height;

            // Position the new form.
            frm.StartPosition = FormStartPosition.Manual;
            frm.Location = screen_pt;
            frm.Show();
        }
    }
}
